function updateStatus()
{
    $('div.done').hide();
    $('span.afterjob').each(
        function () {
            $(this).addClass('activity');
            $(this).load(QOMMON_ROOT_URL + 'afterjobs/' + $(this).attr('id'), null,
                function () {
                    var current_text = $(this).text();
                    if (current_text.indexOf('completed') == 0) {
                        if ($('div.done a[data-redirect-auto]').length) {
                            window.location = $('div.done a[data-redirect-auto]').attr('href');
                        }
                        $(this).text(current_text.substr(10, current_text.length));
                        $(this).addClass('activity-done');
                        $('.afterjob-running').hide();
                        $('.afterjob-done').show();
                        $('div.done').show();
                    } else if (current_text.indexOf('failed') == 0) {
                        $(this).text(current_text.substr(7, current_text.length));
                        $(this).addClass('activity-done');
                    } else {
                        $(this).text(current_text.split('|')[1]);
                        window.setTimeout(updateStatus, 2500);
                    }
                }
            );
        }
    );
}

$(document).ready(updateStatus);
